Bug 119653 - (IEEE1394, NET) IEEE1394 - eth1394 causes kernel BUG under load
(IEEE1394, NET) IEEE1394 - eth1394 causes kernel BUG under load
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-31 23:18 EST by Doug Mitchell
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:16:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Mitchell 2004-03-31 23:18:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:

Kernel Crash

(retyped because NetDump doesn't support Intel Ethernet chips)

kernel BUG at ieee1394_transactions.c:182
invalid operand: 0000
CPU: 0
EIP: 060:[<f89983a6>] Tainted: PF
EFLAGS: 00010046
EIP is at hpsb_free_tlabel_R66db14e7 [ieee1394] 0x46
(2.4.22-1.2174.nptl)
Process ssh

Call Trace:
ether1394_complete_cb
ip_local_deliver_finish
run_packet_complete
dma_rcv_tasklet
ip_local_deliver_finish
ip_local_deliver
ip_local_deliver_finish
ip_rcv_finish
ip_rcv_finish
nf_hook_slow
ip_rcv_finish
ip_rcv
ip_rcv_finish
ohci_irq_handler
tasklet_action
do_softirq
do_IRQ
call_do_IRQ

Code: 0f 0b b6 00 65 ee 99 f8 eb e0 0f 0b b3 00 65 ee 99 f8 eb c2



Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2174.nptl

How reproducible:
Always

Steps to Reproduce:
1.  Hook two computers together with firewire
2.  Load eth1394 and other modules
3.  Start 1-2 SCPs to load up the link
4.  Boom - kernel crashes
    

Actual Results:  
Kernel Crash

Expected Results:  
File copy should speedily complete
Comment 1 Doug Mitchell 2004-03-31 23:26:13 EST
Last message on console before the kernel crash was:

th1394:  No more tlabels left while sending to node 0-00:1023
Comment 2 Arjan van de Ven 2004-04-01 01:33:30 EST
which modules do you have loaded?
Comment 3 Doug Mitchell 2004-04-02 11:57:06 EST
# lsmod
Module                  Size  Used by    Tainted: PF
vmnet                  21872   1
vmmon                  27228   0  (unused)
parport_pc             18756   1  (autoclean)
lp                      8580   0  (autoclean)
parport                37056   1  (autoclean) [parport_pc lp]
autofs                 12084   0  (autoclean) (unused)
eth1394                13844   1
e100                   55940   1
ipt_REJECT              4248   1  (autoclean)
ipt_state               1080   2  (autoclean)
ip_conntrack           28552   1  (autoclean) [ipt_state]
iptable_filter          2444   1  (autoclean)
ip_tables              15136   3  [ipt_REJECT ipt_state iptable_filter]
microcode               4188   0  (autoclean)
ide-scsi               12016   0
ide-cd                 34432   0
cdrom                  34592   0  [ide-cd]
ohci1394               28776   0  (unused)
ieee1394              203940   0  [eth1394 ohci1394]
floppy                 57308   0  (autoclean)
sg                     35436   0  (autoclean)
sd_mod                 13420   0  (autoclean)
usb-storage            70432   0
scsi_mod              110280   4  [ide-scsi sg sd_mod usb-storage]
keybdev                 2656   0  (unused)
hid                    23908   0  (unused)
ehci-hcd               20008   0  (unused)
usb-uhci               26124   0  (unused)
usbcore                78752   1  [usb-storage hid ehci-hcd usb-uhci]
mousedev                5268   0  (autoclean)
input                   5888   0  (autoclean) [keybdev hid mousedev]
ext3                   71716   3
jbd                    51276   3  [ext3]
Comment 4 David Lawrence 2004-09-29 16:16:24 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.